/*
 * All Rights Reserved.
 * Copyright (C) 1999-2005 Tsukuba Bunko.
 *
 * Licensed under the BSD License ("the License"); you may not use
 * this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.tsukuba-bunko.org/licenses/LICENSE.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: IllegalResourceException.java,v 1.2 2005/07/23 19:06:28 ppoi Exp $
 */
package tsukuba_bunko.resource;


/**
 * \[X <code>ResourceManager</code> płȂ`łۂ
 * throw Oł.
 * @author	$Author: ppoi $
 * @version	$Revision: 1.2 $
 * @see	tsukuba_bunko.resource.ResourceLoader
 */
public class IllegalResourceException	extends Exception	{

	/**
	 * serial version UID
	 */
	private static final long	serialVersionUID	= -6759598807838692501L;

	/**
	 * ̗OIuWFNg
	 */
	private Exception	_source = null;


	/**
	 * <code>IllegalResourceException</code> ̃CX^X쐬܂.
	 */
	public IllegalResourceException()
	{
		super();
	}

	/**
	 * <code>IllegalResourceException</code> ̃CX^X쐬܂.
	 * @param	message	G[bZ[W
	 */
	public IllegalResourceException( String message )
	{
		super( message );
	}

	/**
	 * <code>IllegalResourceException</code> ̃CX^X쐬܂.
	 * @param	e	ɂȂOIuWFNg
	 */
	public IllegalResourceException( Exception e )
	{
		super( e.getMessage() );
		_source = e;
	}


	/**
	 * ɂȂOIuWFNg擾܂.
	 * @return	̗OIuWFNg
	 */
	public Exception getSourceException()
	{
		return _source;
	}
}
