/*
 * "Peko" Visual Novel System
 *
 * All Rights Reserved.
 * Copyright (c) 1999-2003 Tsukuba Bunko.
 *
 * $Id: FlagScope.java,v 1.1 2005/07/11 12:49:18 ppoi Exp $
 */
package tsukuba_bunko.peko.scenario;


/**
 * tÕXR[v`܂B
 * @author	${Author}$
 * @version	${Revision}$
 */
public final class FlagScope	{

	/**
	 * V[XR[v
	 */
	public static FlagScope	SCENE = new FlagScope( "scene" );

	/**
	 * ZbVXR[v
	 */
	public static FlagScope	SESSION = new FlagScope( "session" );

	/**
	 * VXeXR[v
	 */
	public static FlagScope	SYSTEM = new FlagScope( "system" );


	/**
	 * XR[v
	 */
	private String	_scopeName = null;


	/**
	 * <code>FlagScope</code> ̃CX^X𐶐܂B
	 */
	private FlagScope( String scopeName )
	{
		_scopeName = scopeName;
	}


	public boolean equals( Object obj )
	{
		if( obj instanceof FlagScope )	{
			return  _scopeName.equals( ((FlagScope)obj)._scopeName );
		}
		else	{
			return false;
		}
	}
}