/*
 * All Rights Reserved.
 * Copyright (C) 1999-2005 Tsukuba Bunko.
 *
 * Licensed under the BSD License ("the License"); you may not use
 * this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.tsukuba-bunko.org/licenses/LICENSE.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: SaveDataInfo.java,v 1.2 2005/07/23 19:06:28 ppoi Exp $
 */
package tsukuba_bunko.peko.session;

import	java.io.Serializable;

import	java.util.Date;


/**
 * Z[uf[^̏i[ JavaBean łB
 * @author	$Author: ppoi $
 * @version	$Revision: 1.2 $
 */
public class SaveDataInfo	implements Serializable	{

	/**
	 * serial version UID
	 */
	private static final long	serialVersionUID	= 2459038570898243264L;

	/**
	 * ID
	 */
	protected int	_id = 0;

	/**
	 * ۑ̃^CX^v
	 */
	protected Date	_timestamp = null;

	/**
	 * ^Cg
	 */
	protected String	_title = null;

	/**
	 * Rg
	 */
	protected String	_comment = null;


	/**
	 * <code>SaveDataInfo</code> ̃CX^X𐶐܂B
	 */
	public SaveDataInfo()
	{
		super();
	}


	/**
	 * Z[uf[^ ID ݒ肵܂B
	 * @param	id	Z[uf[^ ID
	 */
	public void setID( int id )
	{
		_id = id;
	}

	/**
	 * Z[uf[^ ID 擾܂B
	 * @return	Z[uf[^ ID
	 */
	public int getID()
	{
		return _id;
	}

	/**
	 * ^Cgݒ肵܂B
	 * @param	title	^Cg
	 */
	public void setTitle( String title )
	{
		_title = title;
	}

	/**
	 * ^Cg擾܂B
	 * @return	^Cg
	 */
	public String getTitle()
	{
		return _title;
	}

	/**
	 * Rgݒ肵܂B
	 * @param	comment	Rg
	 */
	public void setComment( String comment )
	{
		_comment = comment;
	}

	/**
	 * Rg擾܂B
	 * @return	Rg
	 */
	public String getComment()
	{
		return _comment;
	}

	/**
	 * ^CX^vݒ肵܂B
	 * @param	timestamp	^CX^v
	 */
	public void setTimestamp( Date timestamp )
	{
		_timestamp = timestamp;
	}

	/**
	 * ^CX^v擾܂B
	 * @return	^CX^v
	 */
	public Date getTimestamp()
	{
		return _timestamp;
	}
}