/*
 * All Rights Reserved.
 * Copyright (C) 1999-2005 Tsukuba Bunko.
 *
 * Licensed under the BSD License ("the License"); you may not use
 * this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.tsukuba-bunko.org/licenses/LICENSE.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: SystemSaveData.java,v 1.2 2005/07/23 19:06:28 ppoi Exp $
 */
package tsukuba_bunko.peko.session;

import	java.util.HashSet;


/**
 * VXȅi[Z[uf[^łB
 * @author	$Author: ppoi $
 * @version	$Revision: 1.2 $
 */
public class SystemSaveData	extends SaveData {

	/**
	 * serial version UID
	 */
	private static final long	serialVersionUID	= -7646853845746257804L;

	/**
	 * <code>SystemSaveData</code> ̃CX^X𐶐܂B
	 */
	public SystemSaveData()
	{
		super();
	}


	/**
	 * VXetOWVXeZ[uf[^Ɋi[܂B
	 * @param	systemFlagSet	VXetOW
	 */
	public void setSystemFlagSet( HashSet systemFlagSet )
	{
		addEntry( "systemFlagSet", systemFlagSet );
	}

	/**
	 * i[ꂽVXetOW擾܂B
	 * @return	VXetOW
	 */
	public HashSet getSystemFlagSet()
	{
		return (HashSet)getEntry( "systemFlagSet" );
	}
}